# This file is a part of the Hypothesis-Cats Python package.
#
# Copyright (C) 2022  Paul Wolneykien <manowar@altlinux.org>
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301, USA.

from .cat_strategies import cat, cats, getcat, classify, subdivide, \
    nonequal
from .cat_checks import ExCat, CatChecker, parseCats
from .cat_decor import given_divided, cat_example, with_cat_checker, \
    parseDivided

"""
Hypothesis-Cats allows you to classify values generated by a
Hypothesis strategy and then to make complex assertions based on the
categories that consist up the example data given to the test.

The approach seems to be promising in testing validation functions
and other objects which behavior is determined by a number of
independent factors.

See https://hypothesis.readthedocs.io/ to know more about
Hypothesis package.
"""

__all__ = [ "cat_strategies", "cat_desc", "cat_checks", "cat_decor" ]
